package com.gic.haoban.manage.service.entity;

/**
 * 加好友配置表(TabHaobanFriendSetting)实体类
 *
 * @author xugaojun
 * @date 2022-02-09 14:37:24
 */

import java.util.Date;

public class TabHaobanFriendSetting {
    /**
     * 加好友配置id
     */
    private Long friendSettingId;
    /**
     * 微信企业id
     */
    private String wxEnterpriseId;
    /**
     * 欢迎语配置类型 ：
     * 1 发送好办欢迎语文案+小程序卡片(附带导购参数)
     * 2 发送好办欢迎语文案+公众号二维码(附带导购参数)
     * 3 发送好办欢迎语文案
     * 4 不发送好办欢迎语，用企微欢迎语
     */
    private Integer friendSettingType;
    /**
     * 更新人id
     */
    private String updateId;
    /**
     * 更新人名称
     */
    private String updateName;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 是否删除0否1是
     */
    private Integer deleteFlag;

    public Long getFriendSettingId() {
        return friendSettingId;
    }

    public void setFriendSettingId(Long friendSettingId) {
        this.friendSettingId = friendSettingId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Integer getFriendSettingType() {
        return friendSettingType;
    }

    public void setFriendSettingType(Integer friendSettingType) {
        this.friendSettingType = friendSettingType;
    }

    public String getUpdateId() {
        return updateId;
    }

    public void setUpdateId(String updateId) {
        this.updateId = updateId;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }
}
